//
// GameX - Includes used by GameX
// 
// GameX Copyright (C) 2002 Rama C. Hoetzlein
// 
// This software is released under the GameX GNU GPL 
// Open Source License. See the GameX documentation included
// with this source code for terms of modification, 
// distribution and re-release. 
// 
// this is a version of GameX that has been modified (by Justin Pease)

#ifndef INCLUDES_INCLUDED
	#define INCLUDES_INCLUDED

	// Windows
	#pragma comment(lib,"kernel32.lib") // auto-link with required windows libraries
	#pragma comment(lib,"user32.lib") // (just in case the linker settings are missing these)
	#pragma comment(lib,"gdi32.lib")
	#include <windows.h>
	#include <stdio.h>
	#include <stdarg.h>
	#include <time.h>

	// DirectDraw
	#pragma comment(lib,"ddraw.lib") // auto-link DDRAW.LIB
	#define DIRECTDRAW_VERSION 0x0700 // specify version 7.0 of DirectDraw
	#include <ddraw.h>

	// Direct3D
	#define DIRECT3D_VERSION 0x0700 // specify version 7.0 of Direct3D -- the last version that's compatible with DirectDraw
	#include <d3d.h>				// note: for newer versions of D3D we would need to 
	#include <d3dtypes.h>			//		 include different files, like d3d8.h
	#include "d3dx.h"

	// DirectInput
	#pragma comment(lib,"dinput.lib") // auto-link DINPUT.LIB
	#define DIRECTINPUT_VERSION 0x0700 // specify version 7.0 of DirectInput
	#include <dinput.h>

	// DirectSound
	#pragma comment(lib,"dsound.lib") // auto-link DSOUND.LIB
	#define DIRECTSOUND_VERSION 0x0700 // specify version 7.0 of DirectSound
	#include <dsound.h>

	// DirectMusic
	#pragma comment(lib,"dxguid.lib") // auto-link DXGUID.LIB
	#define DIRECTMUSIC_VERSION 0x0700 // specify version 7.0 of DirectMusic
	#include <dmksctrl.h>
	#include <dmusici.h>
	#include <dmusicc.h>
	#include <dmusicf.h>

	// DirectShow
	#pragma comment(lib,"strmiids.lib") // auto-link STRMIIDS.LIB
	#define DIRECTSHOW_VERSION 0x0700 // specify version 7.0 of DirectShow
	#include <strmif.h>
	#include <control.h>
	#include <uuids.h>
	#include <evcode.h>

	// Standard
	#include <iostream>
	#include <stdio.h>
	#include <stdlib.h>
///	#include <conio.h>
	#include <string.h>
	#include <memory.h>
	#include <math.h>
	#include <direct.h>
	#include <assert.h>

#endif